<Ui xmlns="http://www.blizzard.com/wow/ui/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.blizzard.com/wow/ui/ ..\FrameXML\UI.xsd">

	<Script file="SAD_Helpers.lua"/>
	<Script file="SAD_BuffDuration.lua"/>
	
	<Frame name="BuffDurationTemplate" virtual="true">
	
		<Size>
			<AbsDimension x="30" y="30"/>
		</Size>
		
		<Layers>
			<Layer level="ARTWORK">
				<FontString name="$parentTime" inherits="GameFontHighlightSmall" justifyH="CENTER">
					<Size>
						<AbsDimension x="36" y="10"/>
					</Size>
					<Anchors>
						<Anchor point="CENTER">
							<Offset>
								<AbsDimension x="0" y="-20"/>
							</Offset>
						</Anchor>
					</Anchors>
				</FontString>
			</Layer>
		</Layers>
	</Frame>
	
	<Frame name="BuffDurationFrame" parent="UIParent" frameStrata="LOW" toplevel="true">
	
		<Size>
			<AbsDimension x="50" y="50"/>
		</Size>
		
		<Anchors>
			<Anchor point="TOPRIGHT" relativeTo="BuffFrame" relativePoint="TOPRIGHT"/>
		</Anchors>
		
		<Frames>
		
			<Frame name="BuffDuration0" inherits="BuffDurationTemplate" id="0">
				<Anchors>
					<Anchor point="TOPRIGHT">
						<Offset>
							<AbsDimension x="0" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration1" inherits="BuffDurationTemplate" id="1">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration0" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration2" inherits="BuffDurationTemplate" id="2">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration1" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration3" inherits="BuffDurationTemplate" id="3">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration2" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration4" inherits="BuffDurationTemplate" id="4">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration3" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration5" inherits="BuffDurationTemplate" id="5">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration4" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration6" inherits="BuffDurationTemplate" id="6">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration5" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration7" inherits="BuffDurationTemplate" id="7">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration6" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration8" inherits="BuffDurationTemplate" id="8">
				<Anchors>
					<Anchor point="TOP" relativeTo="BuffDuration0" relativePoint="BOTTOM">
						<Offset>
							<AbsDimension x="0" y="-11"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration9" inherits="BuffDurationTemplate" id="9">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration8" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration10" inherits="BuffDurationTemplate" id="10">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration9" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration11" inherits="BuffDurationTemplate" id="11">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration10" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration12" inherits="BuffDurationTemplate" id="12">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration11" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration13" inherits="BuffDurationTemplate" id="13">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration12" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration14" inherits="BuffDurationTemplate" id="14">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration13" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration15" inherits="BuffDurationTemplate" id="15">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration14" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration16" inherits="BuffDurationTemplate" id="0">
				<Anchors>
					<Anchor point="TOP" relativeTo="BuffDuration8" relativePoint="BOTTOM">
						<Offset>
							<AbsDimension x="0" y="-11"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration17" inherits="BuffDurationTemplate" id="1">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration16" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration18" inherits="BuffDurationTemplate" id="2">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration17" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration19" inherits="BuffDurationTemplate" id="3">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration18" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration20" inherits="BuffDurationTemplate" id="4">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration19" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration21" inherits="BuffDurationTemplate" id="5">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration20" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration22" inherits="BuffDurationTemplate" id="6">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration21" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
			<Frame name="BuffDuration23" inherits="BuffDurationTemplate" id="7">
				<Anchors>
					<Anchor point="RIGHT" relativeTo="BuffDuration22" relativePoint="LEFT">
						<Offset>
							<AbsDimension x="-5" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>
			
		</Frames>
		
		<Scripts>
			<OnEvent>
				SAD_BuffDuration_OnEvent(event);
			</OnEvent>

			<OnLoad>
				SAD_BuffDuration_OnLoad();
			</OnLoad>
		</Scripts>
	
	</Frame>
</Ui>
